/*
 * File: Checkerboard.js
 * ---------------------
 * This program draws a checkerboard centered on the graphics window.
 * The dimensions of the checkerboard are specified by the constants
 * N_ROWS and N_COLUMNS, and the size of each individual square is
 * SQUARE_SIZE.
 */

/* Constants */

const GWINDOW_WIDTH = 500;         /* Width of the graphics window  */
const GWINDOW_HEIGHT = 300;        /* Height of the graphics window */
const N_COLUMNS = 8;               /* Number of columns             */
const N_ROWS = 8;                  /* Number of rows                */
const SQUARE_SIZE = 35;            /* Size of a square in pixels    */

/* Main program */

function Checkerboard() {
   let gw = GWindow(GWINDOW_WIDTH, GWINDOW_HEIGHT);
   let x0 = (gw.getWidth() - N_COLUMNS * SQUARE_SIZE) / 2;
   let y0 = (gw.getHeight() - N_ROWS * SQUARE_SIZE) / 2;
   for (let i = 0; i < N_ROWS; i++) {
      for (let j = 0; j < N_COLUMNS; j++) {
         let x = x0 + j * SQUARE_SIZE;
         let y = y0 + i * SQUARE_SIZE;
         let sq = GRect(x, y, SQUARE_SIZE, SQUARE_SIZE);
         let filled = (i + j) % 2 !== 0;
         sq.setFilled(filled);
         gw.add(sq);
      }
   }
}
